{% extends "FOSUserBundle::layout.html.twig" %}

{% trans_default_domain 'FOSUserBundle' %}

{% block title %}Login Form Validation BotDetect CAPTCHA Example{% endblock %}
{% block stylesheets %}
    <link href="{{ path('captcha_layout_stylesheet_url') }}" rel="stylesheet" />
    <link href="{{ asset('bundles/app/css/style.css') }}" rel="stylesheet" />
{% endblock %}

{% block fos_user_content %}
    <h2>Login Form Validation BotDetect CAPTCHA Example</h2>

    {% if error %}
        <div>{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    <form method="post">
        <input type="hidden" name="_csrf_token" value="{{ csrf_token }}" />

        <label for="username">{{ 'security.login.username'|trans }}</label>
        <input type="text" id="username" name="_username" value="{{ last_username }}" required="required" />

        <label for="password">{{ 'security.login.password'|trans }}</label>
        <input type="password" id="password" name="_password" required="required" />

        {# show captcha image  #}
        {{ captcha_html | raw  }}
        <input type="text" id="captchaCode" name="captchaCode">

        <input type="checkbox" id="remember_me" name="_remember_me" value="on" />
        <label for="remember_me">{{ 'security.login.remember_me'|trans }}</label>

        <input type="submit" id="_submit" name="_submit" value="{{ 'security.login.submit'|trans }}" />
    </form>

    <div style="margin-top:15px">
        <ul >
            <li><a href="./register">Register Form CAPTCHA Example</a></li>
        </ul>
    </div>
{% endblock fos_user_content %}
